> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark all digests as read



## OpenAPI

````yaml /api-reference/openapi.json post /v1/tracked-keywords/digests/read-all
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/tracked-keywords/digests/read-all:
    post:
      tags:
        - TrackedKeywords
      summary: Mark all digests as read
      responses:
        '200':
          description: All unread digests marked as read.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  updated_count:
                    type: integer
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - updated_count
                  - error
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  updated_count:
                    type: integer
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - updated_count
                  - error
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  updated_count:
                    type: integer
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - updated_count
                  - error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````